package cn.sliyun.api.ad.entity;

import cn.sliyun.common.utils.AliyunOSSUtil;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonIgnore;

import java.time.LocalDateTime;
import java.io.Serializable;
import java.time.format.DateTimeFormatter;

/**
 * <p>
 * 广告表
 * </p>
 *
 * @author Enoch
 * @since 2021-02-24
 */
@TableName("sly_ad_item")
public class AdItem implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 广告位ID id
     */
    private Integer adId;

    /**
     * imgage id
     */
    @JsonIgnore
    private String imgOssFile;

    /**
     * 广告事件
     */
    private String actionEvent;

    /**
     * 广告事件类型
     */
    private String actionType;

    /**
     * 创建时间
     */

    private LocalDateTime createTime;

    /**
     * 更新时间	
     */
    @JsonIgnore
    private LocalDateTime updateTime;


    @TableField(exist = false)
    private String imgUrl;

    @TableField(exist = false)
    private String adPosition = "App 首页Banner";

    @TableField(exist = false)
    private String eventName = "链接跳转";

    @TableField(exist = false)
    private String time ;


    public void setTime(String time) {
        this.time = time;
    }

    public String getTime() {
        DateTimeFormatter dtf2 = DateTimeFormatter.ofPattern("yyyy-MM-dd HH:mm:ss");
        return dtf2.format(createTime);
    }



    public String getImgUrl() {
        return AliyunOSSUtil.getInstance().getFileUrl(imgOssFile);
    }

    public void setImgUrl(String imgUrl) {
        this.imgUrl = imgUrl;
    }

    public String getAdPosition() {
        return adPosition;
    }

    public void setAdPosition(String adPosition) {
        this.adPosition = adPosition;
    }

    public String getEventName() {
        return eventName;
    }

    public void setEventName(String eventName) {
        this.eventName = eventName;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }
    public Integer getAdId() {
        return adId;
    }

    public void setAdId(Integer adId) {
        this.adId = adId;
    }
    public String getImgOssFile() {
        return imgOssFile;
    }

    public void setImgOssFile(String imgOssFile) {
        this.imgOssFile = imgOssFile;
    }
    public String getActionEvent() {
        return actionEvent;
    }

    public void setActionEvent(String actionEvent) {
        this.actionEvent = actionEvent;
    }
    public String getActionType() {
        return actionType;
    }

    public void setActionType(String actionType) {
        this.actionType = actionType;
    }
    public LocalDateTime getCreateTime() {
        return createTime;
    }

    public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
    }
    public LocalDateTime getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(LocalDateTime updateTime) {
        this.updateTime = updateTime;
    }

    @Override
    public String toString() {
        return "AdItem{" +
            "id=" + id +
            ", adId=" + adId +
            ", imgOssFile=" + imgOssFile +
            ", actionEvent=" + actionEvent +
            ", actionType=" + actionType +
            ", createTime=" + createTime +
            ", updateTime=" + updateTime +
        "}";
    }
}
