package cn.sliyun.api.ad.service.impl;

import cn.sliyun.api.ad.entity.AdEntity;
import cn.sliyun.api.ad.entity.AdItem;
import cn.sliyun.api.ad.mapper.AdItemMapper;
import cn.sliyun.api.ad.service.IAdItemService;
import cn.sliyun.common.core.Result;
import cn.sliyun.common.core.ResultGenerator;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.time.LocalDateTime;

/**
 * <p>
 * 广告表 服务实现类
 * </p>
 *
 * @author Enoch
 * @since 2021-02-24
 */
@Service
public class AdItemServiceImpl extends ServiceImpl<AdItemMapper, AdItem> implements IAdItemService {
    public Result create(AdEntity adEntity) {
        AdItem item = new AdItem();
        item.setAdId(adEntity.adId);
        item.setActionType(adEntity.eventType);
        item.setActionEvent(adEntity.event);
        item.setImgOssFile(adEntity.getImg());
        item.setCreateTime(LocalDateTime.now());
        item.setUpdateTime(LocalDateTime.now());
        save(item);
        return ResultGenerator.genSuccessResult(item);
    }

    public Result delete(int id) {
        removeById(id);
        return ResultGenerator.genSuccessResult();
    }

    public Result getAll() {
        return ResultGenerator.genSuccessResult(list());
    }
}

