package cn.sliyun.api.ad.service.impl;

import cn.sliyun.api.ad.entity.AdEntity;
import cn.sliyun.api.ad.entity.Item;
import cn.sliyun.api.ad.mapper.ItemMapper;
import cn.sliyun.api.ad.service.IItemService;
import cn.sliyun.common.core.Result;
import cn.sliyun.common.core.ResultGenerator;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.time.LocalDateTime;

/**
 * <p>
 * Banner item 表格 服务实现类
 * </p>
 *
 * @author Enoch
 * @since 2021-02-21
 */
@Service
public class ItemServiceImpl extends ServiceImpl<ItemMapper, Item> implements IItemService {

    public Result create(AdEntity adEntity) {
        System.out.println(adEntity.img);
        Item item = new Item();
        item.setAdId(adEntity.adId);
        item.setActionType(adEntity.eventType);
        item.setActionEvent(adEntity.event);
        item.setOssFileName(adEntity.getImg());
        item.setCreateTime(LocalDateTime.now());
        item.setUpdateTime(LocalDateTime.now());
        save(item);
        return ResultGenerator.genSuccessResult(item);
    }

    public Result delete(int id) {
        removeById(id);
        return ResultGenerator.genSuccessResult();
    }

    public Result getAll() {
        return ResultGenerator.genSuccessResult(list());
    }
}
