package cn.sliyun.api.app.service.service.impl;

import cn.sliyun.dotwallet.DotWalletManager;
import cn.sliyun.dotwallet.entity.BlockBean;
import com.alibaba.fastjson.JSON;
import cn.sliyun.api.app.service.service.IDashboardService;
import cn.sliyun.api.member.service.impl.MemberServiceImpl;
import cn.sliyun.api.order.entity.Order;
import cn.sliyun.api.order.service.impl.OrderServiceImpl;
import cn.sliyun.common.core.Result;
import cn.sliyun.common.core.ResultGenerator;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.conditions.query.QueryChainWrapper;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.math.BigDecimal;
import java.time.ZoneOffset;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Service
public class DashboardServiceImpl implements IDashboardService {


    @Resource
    private MemberServiceImpl memberService;

    @Resource
    private OrderServiceImpl orderService;

    public Result dashboard() {

        Map map = new HashMap();
        Map member = new HashMap();
        Map order = new HashMap();
        Map coinAddress = new HashMap();
        Map pay = new HashMap();
        Map sales = new HashMap();

        member.put("total", "" + memberService.count());
        member.put("week", "" + memberService.getBaseMapper().getWeekList());
        member.put("today", "" + 10000);

        int unpaid = orderService.count(new QueryWrapper<Order>().eq("status", 0));
        int success = orderService.count(new QueryWrapper<Order>().ne("status", 0));
        order.put("total", "" + orderService.count());
        order.put("proportion", success == 0 ? "--%" : (unpaid / success * 100) + "%");
        order.put("unpaid", "" + unpaid);
        order.put("success", "" + success);
        order.put("cancel", "" + orderService.count(new QueryWrapper<Order>().eq("status", 1)));


        coinAddress.put("total", "" + 9999);
        coinAddress.put("btc", "" + 100);
        coinAddress.put("bth", "" + 300);
        coinAddress.put("ltc", "" + 909);

        QueryWrapper<Order> queryWrapper = new QueryWrapper<>();
        queryWrapper.select("sum(total_amount) as totalAmount");
//        queryWrapper.ne("status",0);
        Map<String, Object> objectMap = orderService.getMap(queryWrapper);
        BigDecimal sumCount = new BigDecimal("0.00");
        System.out.println("--------:" + JSON.toJSONString(objectMap));
        if (null!=objectMap&&objectMap.size() > 0 && null!=objectMap.get("totalAmount")){
            sumCount = (BigDecimal) objectMap.get("totalAmount");
        }
        sales.put("total", "" + sumCount);
        sales.put("week", "" + 452);
        sales.put("today", "" + 20);

        long startTime = 1616924237;
        long endTime = System.currentTimeMillis() / 1000;
        List<BlockBean> blockList = DotWalletManager.getInstance().getBlockList(startTime, endTime);


        double block = 0;
        for (int i = 0; i < blockList.size(); i++) {
            block = block + blockList.get(i).getRewards();
        }

        List list = new ArrayList<>();

        for (int i = 0; i < 7; i++) {
            Map a = new HashMap();
            a.put("count", "" + i);
            a.put("day", System.currentTimeMillis() / 1000);

            list.add(a);
        }

        pay.put("total", "" + 1000);
        pay.put("list", list);

        map.put("member", member);
        map.put("order", order);
        map.put("coinAddress", coinAddress);
        map.put("pay", pay);
        map.put("sales", sales);
        map.put("profit", block);
        return ResultGenerator.genSuccessResult(map);
    }
}
