package cn.sliyun.api.coin.controller;


import cn.sliyun.api.coin.entity.CoinPackage;
import cn.sliyun.api.coin.service.impl.CoinPackageServiceImpl;
import cn.sliyun.common.core.Result;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import javax.validation.Valid;

/**
 * <p>
 * 算力包 前端控制器
 * </p>
 *
 * @author Enoch
 * @since 2021-03-01
 */
@RestController
@RequestMapping("/coin/package")
public class CoinPackageController {
    @Resource
    private CoinPackageServiceImpl coinPackageService;

    @PostMapping("/create")
    public Result create(@RequestBody @Valid CoinPackage entity) {
        return coinPackageService.create(entity);
    }

    @PostMapping("/edit")
    public Result edit(@RequestBody  CoinPackage entity) {
        return coinPackageService.edit(entity);
    }

    @PostMapping("/delete")
    public Result delete(@RequestBody CoinPackage entity) {
        return coinPackageService.delete(entity.getId());
    }


    @GetMapping("/list")
    public Result list(@RequestParam(required = false ,defaultValue = "0") int coinId) {
        return coinPackageService.getList(coinId);
    }
}
