package cn.sliyun.api.coin.entity;

import  cn.sliyun.common.utils.AliyunOSSUtil;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonIgnore;

import java.time.LocalDateTime;
import java.io.Serializable;

/**
 * <p>
 * 货币类型表
 * </p>
 *
 * @author Enoch
 * @since 2021-02-24
 */
@TableName("sly_coin")
public class Coin implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 英文名称
     */
    private String enName;

    /**
     * 中文名称
     */
    private String cnName;

    /**
     * img name
     */
    @JsonIgnore
    private String imgOssFile;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;


    /**
     * 更新时间	
     */
    private LocalDateTime updateTime;



    @TableField(exist = false)
    public String icon ;



    public String getIcon() {
        return AliyunOSSUtil.getInstance().getFileUrl(imgOssFile);
    }

    public void setIcon(String icon) {
        this.icon = icon;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }
    public String getEnName() {
        return enName;
    }

    public void setEnName(String enName) {
        this.enName = enName;
    }
    public String getCnName() {
        return cnName;
    }

    public void setCnName(String cnName) {
        this.cnName = cnName;
    }
    public String getImgOssFile() {
        return imgOssFile;
    }

    public void setImgOssFile(String imgOssFile) {
        this.imgOssFile = imgOssFile;
    }
    public LocalDateTime getCreateTime() {
        return createTime;
    }

    public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
    }
    public LocalDateTime getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(LocalDateTime updateTime) {
        this.updateTime = updateTime;
    }

    @Override
    public String toString() {
        return "Coin{" +
                "id=" + id +
                ", enName=" + enName +
                ", cnName=" + cnName +
                ", imgOssFile=" + imgOssFile +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                "}";
    }
}
