package cn.sliyun.api.coin.service.impl;

import com.alibaba.fastjson.JSON;
import cn.sliyun.api.coin.entity.CoinPackage;
import cn.sliyun.api.coin.mapper.CoinPackageMapper;
import cn.sliyun.api.coin.service.ICoinPackageService;
import cn.sliyun.common.core.Result;
import cn.sliyun.common.core.ResultGenerator;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 算力包 服务实现类
 * </p>
 *
 * @author Enoch
 * @since 2021-03-01
 */
@Service
public class CoinPackageServiceImpl extends ServiceImpl<CoinPackageMapper, CoinPackage> implements ICoinPackageService {

    public Result create(CoinPackage entity) {
        System.out.println("create:"+JSON.toJSONString(entity));
        save(entity);
        return ResultGenerator.genSuccessResult(entity.getId());
    }

    public Result edit(CoinPackage entity) {
        System.out.println("edit:"+JSON.toJSONString(entity));
        updateById(entity);
        return ResultGenerator.genSuccessResult(entity);

    }

    public Result delete(long id) {
        removeById(id);
        return ResultGenerator.genSuccessResult();

    }

    public Result getList(int coinId) {
        return ResultGenerator.genSuccessResult(list());

    }
}
