package cn.sliyun.api.member.controller;


import cn.sliyun.api.member.service.impl.MemberServiceImpl;
import cn.sliyun.api.user.entity.UpdateUserEntity;
import cn.sliyun.api.user.entity.UserActionBean;
import cn.sliyun.api.user.service.impl.BeamUserServiceImpl;
import cn.sliyun.common.core.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import org.springframework.stereotype.Controller;

import javax.annotation.Resource;
import javax.validation.Valid;
import javax.validation.constraints.NotBlank;
import java.util.Map;

/**
 * <p>
 * 会员表 前端控制器
 * </p>
 *
 * @author Enoch
 * @since 2021-02-24
 */
@RestController
@RequestMapping("/member")
public class MemberController {
    @Resource
    MemberServiceImpl beamUserService;

    @PostMapping("/register")
    public Result register(@RequestBody @Valid UserActionBean register) {
        return beamUserService.register(register);
    }

    @PostMapping("/edit")
    public Result edit(@RequestHeader @NotBlank String token, @RequestBody @Valid UpdateUserEntity user) {
        return beamUserService.edit(token, user);
    }

    @PostMapping("/updateStatus")
    public Result edit(@RequestBody Map<String,Object> params) {
        return beamUserService.updateStatus(params);
    }


    @PostMapping("/delete")
    public Result delete(@RequestBody Map<String,Object> params) {
        return beamUserService.onDelete(params);
    }



    @GetMapping("/info")
    public Result getInfo(@RequestHeader @NotBlank String token) {
        return beamUserService.getInfo(token);
    }

    @PostMapping("/updatePassword")
    public Result updatePassword(@RequestBody @Valid UserActionBean actionBean) {
        return beamUserService.updatePassword(actionBean);
    }

    @GetMapping("/list")
    public Result list(@RequestParam(defaultValue = "1") int pageNo,@RequestParam(defaultValue = "20") int pageSize) {
        return beamUserService.getList(pageNo, pageSize);
    }




}
