package cn.sliyun.api.order.controller;


import cn.sliyun.api.member.service.impl.MemberCoinAddressServiceImpl;
import cn.sliyun.api.order.entity.Order;
import cn.sliyun.api.order.service.impl.OrderServiceImpl;
import cn.sliyun.common.core.Result;
import cn.sliyun.common.core.ResultGenerator;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.web.bind.annotation.*;

import org.springframework.stereotype.Controller;

import javax.annotation.Resource;
import java.util.HashMap;
import java.util.Map;

/**
 * <p>
 * 订单表 前端控制器
 * </p>
 *
 * @author Enoch
 * @since 2021-02-24
 */
@RestController
@RequestMapping("/order")
public class OrderController {
    @Resource
    private OrderServiceImpl orderService;

    @GetMapping("/list")
    public Result list(@RequestParam(defaultValue = "1",required = false) int pageNo, @RequestParam(defaultValue = "20" ,required = false) int pageSize) {
        Page<Order> page = new Page<>(pageNo,pageSize);
        orderService.page(page);
        Map map = new HashMap();
        map.put("totalCount", page.getTotal());
        map.put("totalPage", page.getPages());
        map.put("pageNo", page.getCurrent());
        map.put("pageSize", page);
        map.put("data", page.getRecords());
        return ResultGenerator.genSuccessResult(map);
    }


    @PostMapping("/confirmPayment")
    public Result confirmPayment(@RequestBody Map<String,String> params) {
        return orderService.confirmPayment(params.get("orderSn"));
    }


    @PostMapping("/updatePayPrice")
    public Result updatePayPrice(@RequestBody Map<String,String> params) {
        return orderService.updatePayPrice(params);
    }


}
