package cn.sliyun.api.order.service.impl;

import cn.sliyun.api.order.entity.Order;
import cn.sliyun.api.order.mapper.OrderMapper;
import cn.sliyun.api.order.service.IOrderService;
import cn.sliyun.common.core.Result;
import cn.sliyun.common.core.ResultGenerator;
import cn.sliyun.common.exception.AppException;
import cn.sliyun.common.utils.StringUtils;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.math.BigDecimal;
import java.util.Map;

/**
 * <p>
 * 订单表 服务实现类
 * </p>
 *
 * @author Enoch
 * @since 2021-02-24
 */
@Service
public class OrderServiceImpl extends ServiceImpl<OrderMapper, Order> implements IOrderService {


    public Result confirmPayment(String orderSn) {
        System.out.println("orderSn:" + orderSn);
        Order order = baseMapper.selectOne(new QueryWrapper<Order>().eq("order_sn", orderSn));
        if (order == null) {
            throw new AppException("订单不存在");
        }
        order.setPayType(3);
        order.setStatus(1);
        order.setRemarks("后台确认支付");
        updateById(order);
        return ResultGenerator.genSuccessResult();
    }



    public Result updatePayPrice(Map<String,String> params) {
        String orderSn = params.get("orderSn");
        Order order = baseMapper.selectOne(new QueryWrapper<Order>().eq("order_sn", orderSn));
        if (order == null) {
            throw new AppException("订单不存在");
        }
        BigDecimal price = new BigDecimal(params.get("price"));
        order.setPayAmount(price);
        if (StringUtils.isEmpty(order.getRemarks())){
            order.setRemarks(params.get("remarks"));
        }else {
            order.setRemarks(order.getRemarks()+"|"+params.get("remarks"));
        }
        updateById(order);
        return ResultGenerator.genSuccessResult();
    }
}
