package cn.sliyun.api.wallet.controller;


import cn.sliyun.api.order.entity.Order;
import cn.sliyun.api.order.service.impl.OrderServiceImpl;
import cn.sliyun.api.wallet.entity.OrderPayRecords;
import cn.sliyun.api.wallet.service.impl.AddressServiceImpl;
import cn.sliyun.api.wallet.service.impl.OrderPayRecordsServiceImpl;
import cn.sliyun.common.core.Result;
import cn.sliyun.common.core.ResultGenerator;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.HashMap;
import java.util.Map;

/**
 * <p>
 * 订单支付记录 前端控制器
 * </p>
 *
 * @author Enoch
 * @since 2021-03-16
 */
@RestController
@RequestMapping("/wallet/payment")
public class OrderPayRecordsController {


    @Resource
    private OrderPayRecordsServiceImpl service;


    @GetMapping("/list")
    public Result list(@RequestParam(defaultValue = "1", required = false) int pageNo
            , @RequestParam(defaultValue = "20", required = false) int pageSize) {
        Page<OrderPayRecords> page = new Page<>(pageNo, pageSize);
        service.page(page);
        Map map = new HashMap();
        map.put("totalCount", page.getTotal());
        map.put("totalPage", page.getPages());
        map.put("pageNo", page.getCurrent());
        map.put("pageSize", page);
        map.put("data", page.getRecords());
        return ResultGenerator.genSuccessResult(map);
    }

}
