package cn.sliyun.api.wallet.entity;

import  cn.sliyun.common.utils.AliyunOSSUtil;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.time.format.DateTimeFormatter;

/**
 * <p>
 * 钱包地址表
 * </p>
 *
 * @author Enoch
 * @since 2021-01-29
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("wallet_address")
public class Address implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 货币ID
     */
    private Integer coinId;

    /**
     * 用户ID
     */
    private Integer userId;

    /**
     * 钱包地址
     */
    private String address;

    /**
     * coin 描述
     */
    private String description;

    /**
     * 创建人
     */
    @JsonIgnore
    private String createBy;

    /**
     * 创建时间
     */
    @JsonIgnore
    private LocalDateTime createTime;

    /**
     * 更新人
     */
    @JsonIgnore
    private String updateBy;

    /**
     * 更新时间
     */
    @JsonIgnore
    private LocalDateTime updateTime;

    @TableField(exist = false)
    @JsonIgnore
    private String ossFileName;

    @TableField(exist = false)
    private String coinIcon;

    @TableField(exist = false)
    private String coinEnName;

    @TableField(exist = false)
    private String coinCnName;

    @TableField(exist = false)
    private String time ;

    public void setTime(String time) {
        this.time = time;
    }

    public String getTime() {
        DateTimeFormatter dtf2 = DateTimeFormatter.ofPattern("yyyy-MM-dd HH:mm:ss");
        return dtf2.format(createTime);
    }

    public String getOssFileName() {
        return ossFileName;
    }

    public void setOssFileName(String ossFileName) {
        this.ossFileName = ossFileName;
    }

    public String getCoinIcon() {
        return AliyunOSSUtil.getInstance().getFileUrl(ossFileName);
    }

    public void setCoinIcon(String coinIcon) {
        this.coinIcon = coinIcon;
    }

    public String getCoinEnName() {
        return coinEnName;
    }

    public void setCoinEnName(String coinEnName) {
        this.coinEnName = coinEnName;
    }

    public String getCoinCnName() {
        return coinCnName;
    }

    public void setCoinCnName(String coinCnName) {
        this.coinCnName = coinCnName;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getCoinId() {
        return coinId;
    }

    public void setCoinId(Integer coinId) {
        this.coinId = coinId;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public LocalDateTime getCreateTime() {
        return createTime;
    }

    public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public LocalDateTime getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(LocalDateTime updateTime) {
        this.updateTime = updateTime;
    }

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }
}
