package cn.sliyun.common.core;

public class ResultGenerator {
    private static final String DEFAULT_SUCCESS_MESSAGE = "SUCCESS";

    private String format = "json";

    public static Result genSuccessResult() {
        return new Result()
                .setCode(ResultCode.SUCCESS)
                .setMsg(DEFAULT_SUCCESS_MESSAGE);
    }

    public static <T> Result<T> genSuccessResult(T data) {
        return new Result()
                .setCode(ResultCode.SUCCESS)
                .setMsg(DEFAULT_SUCCESS_MESSAGE)
                .setData(data);
    }

    public static Result genFailResult(String message) {
        return new Result()
                .setCode(ResultCode.FAIL)
                .setMsg(message);
    }

    public static Result genFailResult(ResultCode code, String message) {
        return new Result()
                .setCode(code)
                .setMsg(message);
    }

    public static Result genFailResult(int code, String message) {
        return new Result()
                .setCode(code)
                .setMsg(message);
    }
}

