package cn.sliyun.common.exception;

/**
 * 自定义异常
 *
 * @author ruoyi
 */
public class AppException extends RuntimeException {
    private static final long serialVersionUID = 1L;


    private int code;  //异常状态码
    private String message;  //异常信息
    private String error;   //描述


    public AppException(String message) {
        this.message = message;
    }

    /**
     * @param code    状态
     * @param message 信息
     * @param error   错误,描述!
     */
    public AppException(int code, String message, String error) {
        this.code = code;
        this.message = message;
        this.error = error;
    }

    public AppException(String message, Integer code) {
        this.message = message;
        this.code = code;
    }

    public AppException(String message, Throwable e) {
        super(message, e);
        this.message = message;
    }

    @Override
    public String getMessage() {
        return message;
    }

    public Integer getCode() {
        return code;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public String getError() {
        return error;
    }

    public void setError(String error) {
        this.error = error;
    }
}
